SystemOrganization addCategory: #'PVpubTests-AnalogClockPrototype05'!

TestCase subclass: #Dial05Test
	instanceVariableNames: 'myClockIf'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PVpubTests-AnalogClockPrototype05'!

!Dial05Test methodsFor: 'private' stamp: 'pv 12/5/2013 20:12'!
oneCycle
	myClockIf doOneCycleNow! !

!Dial05Test methodsFor: 'initialize-release' stamp: 'pv 12/5/2013 20:00'!
setUp
	myClockIf := Dial05 new openInWorld getIf! !

!Dial05Test methodsFor: 'initialize-release' stamp: 'pv 12/5/2013 20:10'!
tearDown
	myClockIf delete.
	^ self! !

!Dial05Test methodsFor: 'testing' stamp: 'pv 12/5/2013 20:22'!
testStartStepping
	| degree01 degree02 |
	myClockIf startStepping.
	degree01 := myClockIf getWatchhand.
	self waitSeconds: 3.
	degree02 := myClockIf getWatchhand.
		self assert: degree02 ~= degree01.! !

!Dial05Test methodsFor: 'testing' stamp: 'pv 12/5/2013 21:21'!
testStopStepping
	| degree01 degree02 |
	myClockIf stopStepping.
	"self halt."
	self waitSeconds: 2.
	degree01 := myClockIf getWatchhand.
	self waitSeconds: 2.
	degree02 := myClockIf getWatchhand.
	self assert: degree02 = degree01! !

!Dial05Test methodsFor: 'private' stamp: 'pv 12/5/2013 20:11'!
waitSeconds: aValue 
	| timeAfter deadline |
	deadline := Time now addSeconds: aValue.
	["clock world doOneCycleNow."
	self oneCycle.
	"clock world doOneCycleNow."
	timeAfter := Time now.
	timeAfter < deadline] whileTrue! !
